Bug 819906 - Implicit (hidden) dependency for yumex password prompt
Implicit (hidden) dependency for yumex password prompt
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: yumex (Show other bugs)
el6
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 11:14 EDT by Timothy Madden
Modified: 2012-06-09 08:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-09 08:53:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy Madden 2012-05-08 11:14:19 EDT
Description of problem:
yumex can not prompt for root password and can not start properly

Version-Release number of selected component (if applicable):
3.0.4-2.el6

How reproducible:
reproducible

Steps to Reproduce:
1. Install CentOS 6.2 x86_64 "base server", create user "user"
2. enable CentOS Plus, add rpmforge and EPEL repositories
3. install yumex and xauth using yum
4. connect to the CentOS machine with "ssh -Y -l user ..." from a remote host running a desktop environment
5. start yumex from the ssh session
  
Actual results:
yumex can not start properly and can not prompt for root password

Expected results:
yumex should immediately prompt for the root password

Additional info:
if you issue
    yum groupinstall "KDE Desktop"
than the hidden dependency gets installed and I can than start yumex. But I would prefer to not install "KDE desktop" grioup on my "base server" installation of CentOS
Comment 1 Tim Lauridsen 2012-05-09 06:07:50 EDT
try to install "usermode-gtk"
I am working on skipping the use of usermode (consoleheler) to ask for root access and use PolicyKit instead, it should make it work better with a redirected DISPLAY, like when running it over an ssh connection.

a work around could be to run yumex as root using 

su -
yumex --root

and it will not ask for a password
Comment 2 Timothy Madden 2012-05-09 08:22:59 EDT
Yes, usermode-gtk fixed the problem.
Thank you for the information.


I do not know PolicyKit, I am not really an administrator (yet :), but what I meant was that usermode-gtk should be an explicit dependency for yumex (at least for now)
Comment 3 Tim Lauridsen 2012-05-14 01:38:41 EDT
I have just released a new version, 3.0.5, it should  eliminate the need for usermode-gtk, then running over ssh.
It should be available in epel6 testing repos very soon.
Comment 4 Tim Lauridsen 2012-06-09 08:53:14 EDT
usermode is no longer needed in current version 3.0.5-2 in EPEL6

Note You need to log in before you can comment on or make changes to this bug.